From: Alessandro Ghedini <ghedo@debian.org>
Date: Wed, 12 Feb 2020 21:33:14 +0100
Subject: Build shared libecasoundc instead of static

Origin: vendor
Forwarded: not-needed
Last-Update: 2014-02-16
---
 libecasoundc/Makefile.am | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/libecasoundc/Makefile.am b/libecasoundc/Makefile.am
index 74ba20c..19f867a 100644
--- a/libecasoundc/Makefile.am
+++ b/libecasoundc/Makefile.am
@@ -14,9 +14,9 @@ AUTOMAKE_OPTIONS = foreign
 # !!!
 # remember to update eca-version.cpp
 if ECA_AM_DEBUG_MODE
-eca_ldflags = -version-info @LIBECASOUNDC_VERSION@:0:@LIBECASOUNDC_VERSION_AGE@ -static
+eca_ldflags = -version-info @LIBECASOUNDC_VERSION@:0:@LIBECASOUNDC_VERSION_AGE@ -shared -fPIC
 else
-eca_ldflags = -s -version-info @LIBECASOUNDC_VERSION@:0:@LIBECASOUNDC_VERSION_AGE@ -static
+eca_ldflags = -s -version-info @LIBECASOUNDC_VERSION@:0:@LIBECASOUNDC_VERSION_AGE@ -shared -fPIC
 endif
 
 AM_CPPFLAGS = -I$(srcdir)
